throw抛出异常关键字

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chengqiuming/article/details/70140095
一 语法
<script language="javascript">
throw new TypeError("somestatements");
</script>
 
二 应用
使用throw语句抛出异常
<script language="javascript">
try
{
	var num=1/0;
 	if(num=="Infinity")
 	{
 		throw new Error("被除数不可以为0");
 	}
}
catch(exception)
{
 	alert(exception.message);
}
</script>
 
 
三 运行结果

 
 
四 运行说明
当变量num为无穷大时,使用throw语句抛出异常,此异常会在catch区域被捕捉,并将异常提示信息放置在弹出的错误提示对话框中。
  • 323321e8-8326-329e-9b83-28d28487b719-thumb.png
  • 大小: 4 KB

没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试